#### D.2.11.27 addNvarsTo

Procedure from library `ring.lib` (see ring_lib).

Usage:
  addNvarsTo(ring,int N, string name, int b);
  b may be: 0:ordering: dp
  1:ordering dp,dp
  2:oring.ordering,dp

Return:
  a ring with N addtional variables

Example:

    LIB "ring.lib";
    ring r=0,(x,y),lp;
    def rr=addNvarsTo(r,2,"@",0);
    rr; kill rr;
    ==> //   characteristic : 0
    ==> //   number of vars : 4
    ==> //        block   1 : ordering C
    ==> //        block   2 : ordering dp
    ==> //                  : names    x y @(1) @(2)
    def rr=addNvarsTo(r,2,"@",1);
    rr; kill rr;
    ==> //   characteristic : 0
    ==> //   number of vars : 4
    ==> //        block   1 : ordering C
    ==> //        block   2 : ordering dp
    ==> //                  : names    x y
    ==> //        block   3 : ordering dp
    ==> //                  : names    @(1) @(2)
    def rr=addNvarsTo(r,2,"@",2);
    rr;
    ==> //   characteristic : 0
    ==> //   number of vars : 4
    ==> //        block   1 : ordering lp
    ==> //                  : names    x y
    ==> //        block   2 : ordering C
    ==> //        block   3 : ordering dp
    ==> //                  : names    @(1) @(2)

User manual for Singular version 4-0-3, 2016, generated by texi2html.